GET api/ClosedForms?internalId={internalId}

Gets information about a closed form.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
internalId

Closed Form's unique ID.

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

ClosedFormModel
NameDescriptionTypeAdditional information
DateCompleted

Indicates completed date of a closed form

date

None.

DateClosed

Indicates closed date of a closed form

date

None.

FormLayoutDescription

Description of the from layout

string

None.

PatientInternalId

Patient's unique ID.

globally unique identifier

None.

CancellationDate

Indicates cancellation date of a closed form

date

None.

CancellationNotes

Indicates cancellation notes of a closed form

string

None.

CancelledByUserFullName

Full name of the user that cancel the form

string

None.

ClosedFormQuestions

List of closed form's questions

Collection of ClosedFormQuestionModel

None.

ClosedFormSections

List of closed form's sections

Collection of ClosedFormSectionModel

None.

EhrProfileLastUpdate

Indicates date of last profile update on integrating system

date

None.

EhrInsuranceLastUpdate

Indicates date of last insurance update on integrating system

date

None.

EhrExamLastUpdate

Indicates date of last exam update on integrating system

date

None.

IsPortalPatient

Indicates if this form belongs to a Patient or a PortalPatient

boolean

None.

ID

Unique ID of the model.

globally unique identifier

None.

FormLayoutName

Form layout name, it can be form's name.

string

None.

PatientExternalId

Patient's unique ID on integrating system.

string

None.

PatientFullName

Patient's name, it's composed by: first name, last name and middle name.

string

None.

Status

Form's current status, it can be open, completed, closed, cancelled.

string

None.

CreationDate

Form's creation date.

date

None.

Response Formats

application/json, text/json

Sample:
{
  "dateCompleted": "2026-05-29T16:58:01.2918674+00:00",
  "dateClosed": "2026-05-29T16:58:01.2918674+00:00",
  "formLayoutDescription": "sample string 1",
  "patientInternalId": "ea3b36fd-bb67-4b73-8321-f05f387d176e",
  "cancellationDate": "2026-05-29T16:58:01.2918674+00:00",
  "cancellationNotes": "sample string 3",
  "cancelledByUserFullName": "sample string 4",
  "closedFormQuestions": [
    {
      "systemDefined": true,
      "label": "sample string 2",
      "hint": "sample string 3",
      "questionItemName": "sample string 4",
      "questionItemGroupName": "sample string 5",
      "answerRequired": true,
      "textAnswer": "sample string 7",
      "answerOptionOfClosedFormQuestions": [
        {
          "category": "sample string 1",
          "name": "sample string 2",
          "closedFormQuestionId": "4883d116-ac07-4883-baed-91217d720a65",
          "answerOptionId": "sample string 4",
          "sortOrder": 5
        },
        {
          "category": "sample string 1",
          "name": "sample string 2",
          "closedFormQuestionId": "4883d116-ac07-4883-baed-91217d720a65",
          "answerOptionId": "sample string 4",
          "sortOrder": 5
        }
      ],
      "closedFormQuestionId": "5cb11d1f-7c2b-4e06-80c3-b3a03c2a4676",
      "closedFormSectionId": "e9c4653e-dd18-4ea2-9868-c971adfc27cf",
      "sortOrder": 10,
      "questionItemId": "4a24ee58-51ec-4406-8095-e203183bf1b9",
      "questionItemGroupId": "9630cea4-08de-4a5c-8497-a6d6585e395f",
      "questionItemGroupAnswerIndex": 13,
      "dateAnswer": "2026-05-29T16:58:01.2918674+00:00",
      "questionItemAnswerType": "sample string 14",
      "selectOneAnswerValue": "sample string 15"
    },
    {
      "systemDefined": true,
      "label": "sample string 2",
      "hint": "sample string 3",
      "questionItemName": "sample string 4",
      "questionItemGroupName": "sample string 5",
      "answerRequired": true,
      "textAnswer": "sample string 7",
      "answerOptionOfClosedFormQuestions": [
        {
          "category": "sample string 1",
          "name": "sample string 2",
          "closedFormQuestionId": "4883d116-ac07-4883-baed-91217d720a65",
          "answerOptionId": "sample string 4",
          "sortOrder": 5
        },
        {
          "category": "sample string 1",
          "name": "sample string 2",
          "closedFormQuestionId": "4883d116-ac07-4883-baed-91217d720a65",
          "answerOptionId": "sample string 4",
          "sortOrder": 5
        }
      ],
      "closedFormQuestionId": "5cb11d1f-7c2b-4e06-80c3-b3a03c2a4676",
      "closedFormSectionId": "e9c4653e-dd18-4ea2-9868-c971adfc27cf",
      "sortOrder": 10,
      "questionItemId": "4a24ee58-51ec-4406-8095-e203183bf1b9",
      "questionItemGroupId": "9630cea4-08de-4a5c-8497-a6d6585e395f",
      "questionItemGroupAnswerIndex": 13,
      "dateAnswer": "2026-05-29T16:58:01.2918674+00:00",
      "questionItemAnswerType": "sample string 14",
      "selectOneAnswerValue": "sample string 15"
    }
  ],
  "closedFormSections": [
    {
      "labelText": "sample string 1",
      "descriptionText": "sample string 2",
      "sortOrder": 3,
      "closedFormSectionId": "f93e7339-583a-4fe1-bad6-4bbd05567a69"
    },
    {
      "labelText": "sample string 1",
      "descriptionText": "sample string 2",
      "sortOrder": 3,
      "closedFormSectionId": "f93e7339-583a-4fe1-bad6-4bbd05567a69"
    }
  ],
  "ehrProfileLastUpdate": "2026-05-29T16:58:01.2918674+00:00",
  "ehrInsuranceLastUpdate": "2026-05-29T16:58:01.2918674+00:00",
  "ehrExamLastUpdate": "2026-05-29T16:58:01.2918674+00:00",
  "isPortalPatient": true,
  "id": "383de323-cea1-4bdd-ae6b-dc7c5f047d1a",
  "formLayoutName": "sample string 7",
  "patientExternalId": "sample string 8",
  "patientFullName": "sample string 9",
  "status": "sample string 10",
  "creationDate": "2026-05-29T16:58:01.2918674+00:00"
}

application/xml, text/xml

Sample:
<ClosedFormModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.Forms">
  <CreationDate>2026-05-29T16:58:01.2918674+00:00</CreationDate>
  <FormLayoutName>sample string 7</FormLayoutName>
  <ID>383de323-cea1-4bdd-ae6b-dc7c5f047d1a</ID>
  <PatientExternalId>sample string 8</PatientExternalId>
  <PatientFullName>sample string 9</PatientFullName>
  <Status>sample string 10</Status>
  <CancellationDate>2026-05-29T16:58:01.2918674+00:00</CancellationDate>
  <CancellationNotes>sample string 3</CancellationNotes>
  <CancelledByUserFullName>sample string 4</CancelledByUserFullName>
  <ClosedFormQuestions>
    <ClosedFormQuestionModel>
      <AnswerOptionOfClosedFormQuestions>
        <AnswerOptionOfClosedFormQuestionModel>
          <AnswerOptionId>sample string 4</AnswerOptionId>
          <Category>sample string 1</Category>
          <ClosedFormQuestionId>4883d116-ac07-4883-baed-91217d720a65</ClosedFormQuestionId>
          <Name>sample string 2</Name>
          <SortOrder>5</SortOrder>
        </AnswerOptionOfClosedFormQuestionModel>
        <AnswerOptionOfClosedFormQuestionModel>
          <AnswerOptionId>sample string 4</AnswerOptionId>
          <Category>sample string 1</Category>
          <ClosedFormQuestionId>4883d116-ac07-4883-baed-91217d720a65</ClosedFormQuestionId>
          <Name>sample string 2</Name>
          <SortOrder>5</SortOrder>
        </AnswerOptionOfClosedFormQuestionModel>
      </AnswerOptionOfClosedFormQuestions>
      <AnswerRequired>true</AnswerRequired>
      <ClosedFormQuestionId>5cb11d1f-7c2b-4e06-80c3-b3a03c2a4676</ClosedFormQuestionId>
      <ClosedFormSectionId>e9c4653e-dd18-4ea2-9868-c971adfc27cf</ClosedFormSectionId>
      <DateAnswer>2026-05-29T16:58:01.2918674+00:00</DateAnswer>
      <Hint>sample string 3</Hint>
      <Label>sample string 2</Label>
      <QuestionItemAnswerType>sample string 14</QuestionItemAnswerType>
      <QuestionItemGroupAnswerIndex>13</QuestionItemGroupAnswerIndex>
      <QuestionItemGroupId>9630cea4-08de-4a5c-8497-a6d6585e395f</QuestionItemGroupId>
      <QuestionItemGroupName>sample string 5</QuestionItemGroupName>
      <QuestionItemId>4a24ee58-51ec-4406-8095-e203183bf1b9</QuestionItemId>
      <QuestionItemName>sample string 4</QuestionItemName>
      <SelectOneAnswerValue>sample string 15</SelectOneAnswerValue>
      <SortOrder>10</SortOrder>
      <SystemDefined>true</SystemDefined>
      <TextAnswer>sample string 7</TextAnswer>
    </ClosedFormQuestionModel>
    <ClosedFormQuestionModel>
      <AnswerOptionOfClosedFormQuestions>
        <AnswerOptionOfClosedFormQuestionModel>
          <AnswerOptionId>sample string 4</AnswerOptionId>
          <Category>sample string 1</Category>
          <ClosedFormQuestionId>4883d116-ac07-4883-baed-91217d720a65</ClosedFormQuestionId>
          <Name>sample string 2</Name>
          <SortOrder>5</SortOrder>
        </AnswerOptionOfClosedFormQuestionModel>
        <AnswerOptionOfClosedFormQuestionModel>
          <AnswerOptionId>sample string 4</AnswerOptionId>
          <Category>sample string 1</Category>
          <ClosedFormQuestionId>4883d116-ac07-4883-baed-91217d720a65</ClosedFormQuestionId>
          <Name>sample string 2</Name>
          <SortOrder>5</SortOrder>
        </AnswerOptionOfClosedFormQuestionModel>
      </AnswerOptionOfClosedFormQuestions>
      <AnswerRequired>true</AnswerRequired>
      <ClosedFormQuestionId>5cb11d1f-7c2b-4e06-80c3-b3a03c2a4676</ClosedFormQuestionId>
      <ClosedFormSectionId>e9c4653e-dd18-4ea2-9868-c971adfc27cf</ClosedFormSectionId>
      <DateAnswer>2026-05-29T16:58:01.2918674+00:00</DateAnswer>
      <Hint>sample string 3</Hint>
      <Label>sample string 2</Label>
      <QuestionItemAnswerType>sample string 14</QuestionItemAnswerType>
      <QuestionItemGroupAnswerIndex>13</QuestionItemGroupAnswerIndex>
      <QuestionItemGroupId>9630cea4-08de-4a5c-8497-a6d6585e395f</QuestionItemGroupId>
      <QuestionItemGroupName>sample string 5</QuestionItemGroupName>
      <QuestionItemId>4a24ee58-51ec-4406-8095-e203183bf1b9</QuestionItemId>
      <QuestionItemName>sample string 4</QuestionItemName>
      <SelectOneAnswerValue>sample string 15</SelectOneAnswerValue>
      <SortOrder>10</SortOrder>
      <SystemDefined>true</SystemDefined>
      <TextAnswer>sample string 7</TextAnswer>
    </ClosedFormQuestionModel>
  </ClosedFormQuestions>
  <ClosedFormSections>
    <ClosedFormSectionModel>
      <ClosedFormSectionId>f93e7339-583a-4fe1-bad6-4bbd05567a69</ClosedFormSectionId>
      <DescriptionText>sample string 2</DescriptionText>
      <LabelText>sample string 1</LabelText>
      <SortOrder>3</SortOrder>
    </ClosedFormSectionModel>
    <ClosedFormSectionModel>
      <ClosedFormSectionId>f93e7339-583a-4fe1-bad6-4bbd05567a69</ClosedFormSectionId>
      <DescriptionText>sample string 2</DescriptionText>
      <LabelText>sample string 1</LabelText>
      <SortOrder>3</SortOrder>
    </ClosedFormSectionModel>
  </ClosedFormSections>
  <DateClosed>2026-05-29T16:58:01.2918674+00:00</DateClosed>
  <DateCompleted>2026-05-29T16:58:01.2918674+00:00</DateCompleted>
  <EhrExamLastUpdate>2026-05-29T16:58:01.2918674+00:00</EhrExamLastUpdate>
  <EhrInsuranceLastUpdate>2026-05-29T16:58:01.2918674+00:00</EhrInsuranceLastUpdate>
  <EhrProfileLastUpdate>2026-05-29T16:58:01.2918674+00:00</EhrProfileLastUpdate>
  <FormLayoutDescription>sample string 1</FormLayoutDescription>
  <IsPortalPatient>true</IsPortalPatient>
  <PatientInternalId>ea3b36fd-bb67-4b73-8321-f05f387d176e</PatientInternalId>
</ClosedFormModel>